For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The BankFeedTransaction object
          • GET/bank-feed-transactions
          • POST/bank-feed-transactions
          • GET/bank-feed-transactions/{id}
          • GET/bank-feed-transactions/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBank Feed Transactions

/bank-feed-transactions

Beta
POST
/accounting/v1/bank-feed-transactions
POST
/api/accounting/v1/bank-feed-transactions
$curl -X POST https://api.merge.dev/api/accounting/v1/bank-feed-transactions \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {
> "bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653"
> }
>}'
201Created
1{
2 "model": {
3 "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
4 "remote_id": "987300",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653",
8 "transaction_date": "2024-02-02T00:00:00.000Z",
9 "posted_date": "2024-02-03T00:00:00.000Z",
10 "amount": 100.1,
11 "description": "Lunch expense",
12 "transaction_type": "payment",
13 "payee": "Elmo's diner",
14 "credit_or_debit": "CREDIT",
15 "source_transaction_id": "124569",
16 "remote_was_deleted": true,
17 "is_processed": true
18 },
19 "warnings": [
20 {
21 "title": "Unrecognized Field",
22 "detail": "An unrecognized field, age, was passed in with request data.",
23 "problem_type": "UNRECOGNIZED_FIELD",
24 "source": {
25 "pointer": "/age"
26 },
27 "block_merge_link": true,
28 "raw_error": "string",
29 "error_code": 1
30 }
31 ],
32 "errors": [
33 {
34 "title": "Missing Required Field",
35 "detail": "custom_fields is a required field on model.",
36 "problem_type": "MISSING_REQUIRED_FIELD",
37 "source": {
38 "pointer": "/model/custom_fields"
39 },
40 "block_merge_link": true,
41 "raw_error": "string",
42 "error_code": 1
43 }
44 ],
45 "logs": [
46 {
47 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
48 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
49 "log_summary": {
50 "url": "www.exampleintegration.com/api/v1/exampleapi",
51 "method": "POST",
52 "status_code": 200
53 }
54 }
55 ]
56}

Creates a BankFeedTransaction object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/bank-feed-transactions

Next

/bank-feed-transactions/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The BankFeedTransaction object is used to represent transactions linked to a bank feed account. This includes details about the transaction such as the date, amount, description, and type.

Usage Example

Fetch from the GET BankFeedTransaction endpoint to view details of a transaction associated with a bank feed account.

Response

modelobject

Description

The BankFeedTransaction object is used to represent transactions linked to a bank feed account. This includes details about the transaction such as the date, amount, description, and type.

Usage Example

Fetch from the GET BankFeedTransaction endpoint to view details of a transaction associated with a bank feed account.

warningslist of objects
errorslist of objects
logslist of objects